package com.css.txw.mhzc.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.css.ggzc.framework.cache.utils.CacheUtils;
import com.css.ggzc.framework.common.util.gy.GyUtils;
import com.css.ggzc.framework.common.util.object.BeanUtils;
import com.css.txw.mhzc.mapper.TxwMhzcZxxxbMapper;
import com.css.txw.mhzc.pojo.domain.TxwMhzcZxxxbDO;
import com.css.txw.mhzc.pojo.vo.SyzxxxVO;
import com.css.txw.mhzc.service.TxwMhzcSyxxbService;
import com.css.txw.mhzc.service.TxwMhzcZxxxbService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

/**
* @author AirlH
* @description 针对表【txw_mhzc_zxxxb(咨询信息表)】的数据库操作Service实现
* @createDate 2025-09-18 16:39:32
*/
@Service
public class TxwMhzcSyxxbServiceImpl extends ServiceImpl<TxwMhzcZxxxbMapper, TxwMhzcZxxxbDO>
    implements TxwMhzcSyxxbService {

    @Override
    public Map<String, Object> getCdxx() {
        Map<String,Object> cdMap = new HashMap<>();
        cdMap.put("kxtfwzx",CacheUtils.dm2mc("cs_ggzc_xtcs","kxtfwzx"));
        cdMap.put("kxtcx",CacheUtils.dm2mc("cs_ggzc_xtcs","kxtcx"));
        cdMap.put("kxttg",CacheUtils.dm2mc("cs_ggzc_xtcs","kxttg"));
        cdMap.put("kxtcz",CacheUtils.dm2mc("cs_ggzc_xtcs","kxtcz"));
        return cdMap;
    }
}




